http://greengrass.{region}.amazonaws.com/greengrass/v2/coreDevices/{coreDeviceThingName}/disassociateClientDevicesDisassociates a list of client devices from a core device. After you disassociate a client device from a core device, the client device won't be able to use cloud discovery to retrieve the core device's connectivity information and certificates.
The name of the core device. This is also the name of the IoT thing.
The list of client devices to disassociate.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://greengrass.{region}.amazonaws.com/greengrass/v2/coreDevices/{coreDeviceThingName}/disassociateClientDevices' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://greengrass.{region}.amazonaws.com/greengrass/v2/coreDevices/{coreDeviceThingName}/disassociateClientDevicesDisassociates a list of client devices from a core device. After you disassociate a client device from a core device, the client device won't be able to use cloud discovery to retrieve the core device's connectivity information and certificates.
The name of the core device. This is also the name of the IoT thing.
The list of client devices to disassociate.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://greengrass.{region}.amazonaws.com/greengrass/v2/coreDevices/{coreDeviceThingName}/disassociateClientDevices' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}